# AtkNoOpObject

## Name

AtkNoOpObject -- An AtkObject which purports to implement all ATK interfaces.

## Synopsis

    struct      AtkNoOpObject;
    AtkObject*  atk_no_op_object_new            (GObject *obj);

## Object Hierarchy

      GObject
       +----AtkObject
             +----AtkNoOpObject

## Implemented Interfaces

AtkNoOpObject implements AtkAction, AtkComponent, AtkEditableText, AtkImage, AtkSelection, AtkText, AtkTable and AtkValue.

## Description

An AtkNoOpObject is an AtkObject which purports to implement all ATK interfaces. It is the type of AtkObject which is created if an accessible object is requested for an object type for which no factory type is specified.

## Details

### struct AtkNoOpObject

    struct AtkNoOpObject;

The AtkNoOpObject structure should not be accessed directly.

### atk_no_op_object_new ()

    AtkObject*  atk_no_op_object_new            (GObject *obj);

Provides a default (non-functioning stub) AtkObject. Application maintainers should not use this method.

`obj` :

  a GObject

Returns :

  a default (non-functioning stub) AtkObject